<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Oganikku</title>
    <!-- CSS only -->
    <link
      href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css"
      rel="stylesheet"
      integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3"
      crossorigin="anonymous"
    />
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
  </head>
  <style>
    .grid-container {
      display: grid;
      grid-template-columns: 18% 82%;
    }
    .card-product {
      width: 350px;
      height: 450px;
      background-color: white;
      margin-left: 5%;
      border-radius: 15px;
    }
    .content-section {
      text-align: center;
    }
    .bg {
      background: url(static/images/testProduct.jpg);
    }
    .addCard-btn{
        margin-top:10%;
        width: 150px;
        height: 38px;
        background-color: white;
        color:black;
        text-align: center;
        border-radius:20px;
        padding-top: 5px;
    }
    table-block-address input {
        width: 100%;
     
        border-radius: 18px;

        padding-left: 12px;
        color: 
        #7B7B7B;
      }

      #txt{
        font-family: Century Gothic;
        color:  #7B7B7B;

      } 
    .sub-grid-container{
        display: grid;
        grid-template-columns: 40% 60%;
    }
    table {
         width: 100%;
     }
     .ship-table td{
        width: 50%;
        text-align: center;
     }
     .ship-table tr{
         margin-top:5%;
         height: 200px;
     }
     .left-text{
         text-align: left;
         vertical-align: auto;
         
         font-size: 22px;
    }
    .fiximage{
        border-radius: 15px;
        width: 200px;
        height: 150px;
        margin-left: auto;
        margin-right: auto;
        border-radius: 15px;
      
    }
    .ver-top{
        vertical-align: top;
        font-weight: bold;
       
    }
    .container-right{
       width: 600px;
       height: 500px;
       background-color: white;
       margin-top: 15%;
       border-radius: 15px;
    }
    .block-address{
        width: 600px;
        height: 310px;
        background-color: white;
        margin-left: 11px;
        border-radius: 15px;
        margin-top: 2%;
        overflow-y: auto;
    }
    .btn-addaddress{
        width: 600px;
        height: 50px;
        background-color: white;
        border-radius: 20px;
        margin-top:2%;
        margin-left: 11px;
        text-align: center;
        align-items: center;
        padding-top: 10px;
        font-size: 20px;
        font-weight: bold;
    }
    .table-blod-address{
        width: 100%;
    }
    .circle{
        width: 20px;
        height: 20px;
        border-radius: 50px;
     
        text-align: center;
        margin-left: auto;
       
    }
    #myCheck{
        width: 50px;
        height: 50px;
        border-radius: 50px;
    }
    .table-block-address #txt{
        font-weight: bold;
        font-size: 18px;
        margin-top: -4px;
    }
    .form-check-input:checked {
     background-color: #A9D18E; 
     border-color: #A9D18E; 
}
.form-check-input:checked[type=radio] {
   background-image: none;
}
.form-check-input{
    width: 30px;
    height: 30px;
}
.form-check-input:focus {
    border-color: none;
    outline: 0;
    box-shadow: none;
}
.head-text-right{
    font-size: 30px;
    text-align: center;
    font-family: Century Gothic;
    font-weight: bold;
    padding-top:5%;}


.img-logo{
    
    width: 80px;
    height: 80px;
}
.text-bank{
    font-size: 18px;
    font-weight: bold;
    font-family: Century Gothic;
}   
.footer_total{
    font-family: Century Gothic;
    font-size: 20px;
    font-weight: bold;
    padding-left: 20px;
}
.suc-btn{
    width: 200px;
   
    background-color: #A9D18E;
    border-radius: 18px;
    color: white;
    text-align: center;
    margin-left: auto;
    margin-right: auto;
    font-weight: bold;
    font-size: 25px;
    padding: 5px;
    cursor: pointer;
}
  </style>
  <body style="background-color: #ECECEC">
    <div class="grid-container">
      <div>{% include 'sidebar.html' %}</div>

    <div style= "height: min-content;padding-left: 40px;">
            <div class="sub-grid-container" id="txt">
                <div style="height: min-content;">
                    <div id="txt" style="text-align: end;font-weight: bold;font-size: 30px;padding-top:10px;padding-right: 5%;">
                  
                    </div>
                    <div>
                        <table class="ship-table" style="margin-top:17%;">
                            {% for item in cart.keys() %}
                            <tr>
                                <td class="ver-top">
                                    <img src="{{url_for('static', filename = 'images/preview_product/'+ cart[item].preview_image)}}" alt="" class="fiximage"  srcset="">

                                </td>
                                <td class="ver-top">
                                    <div class="left-text">{{cart[item].name}} <br> {{cart[item].pp}} Bath/KG</div>
                                    <!-- <div class="left-text">1000G</div> -->
                                    <div class="left-text">{{cart[item].amount}}KG.</div>
                                    <div class="left-text">{{cart[item].amount *cart[item].pp}} Bath </div>
                                </td>
                            </tr>
                            {% endfor %}
                        </table>
              
                  
                  
            
                    </div>
                </div>

                
                <div style="height: 100vh;">

                    <form id="purchase_form" action="{{url_for('shop_list.payment')}}" method="POST">
                    <div style="height: min-content;">
                        <div class="container-right">
                            <div class="head-text-right" style="margin-bottom: 5%;">
                                PAYMENT METHOD
                            </div>
                            <div>
                        <table>
                            {% for item in payment %}
                            <tr style="margin-top:5%;height: 100px;">
                                <td style="width: 20%;text-align: center;" >
                                    <div class="form-check">
                                        <input class="form-check-input" required type="radio" name="payment_method" id="radioNoLabel1" style="margin-left: 20px;" value='{{item.id}}'>
                                    </div>
                                </td>
                                <td style="width: 20%;text-align: center;">
                                    <img src="{{url_for('static', filename = 'images/' + item.image )}}" alt="" srcset="" class="img-logo">
                                </td>
                                <td style="width: 60%;text-align: left;" class="text-bank">
                                      {{item.name}}
                                </td>
                            </tr>
                            {% endfor %}
                        </table>







                            </div>
                            
                     
                        </div>
                        <div style="width: 600px;">

                        
                        <div class="footer_total" style="text-align: right;padding-top: 10px;">
                            ค่าขนส่ง : {{ delivery_price }} บาท
                            <br>
                            รวม : {{ total_cost+delivery_price }} บาท
                        </div>

                        <button class="suc-btn" type="submit" onclick="confirmBtn()" style="border:none;margin-left: auto;margin-right: auto;display: flex;
                        justify-content: center;">
                            Confirm
                        </button>






                    </div>
                    </div>
                  </form>
                  
                    </div>
                    </div>




                </div>
            </div>
    </div>

    </div>
  </body>
</html>
<script>
function confirmBtn(){
    // document.getElementById("purchase_form").submit();
    // window.location = "/shop/complete"
}

</script>
